import { AfterViewInit, ElementRef, EventEmitter, Injector, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class VgAutoInputComponent implements OnInit, AfterViewInit, OnChanges, ControlValueAccessor {
    private inj;
    text: string;
    value: any;
    isFocused: boolean;
    modelToTextMapper: (obj: any) => string;
    resultToModelMapper: (obj: any) => any;
    modelToImgSrcMapper: ((obj: any) => string) | null;
    size: 'sm' | 'md' | 'lg';
    isDisabled: boolean;
    isReadonly: boolean;
    searchResults: any[];
    limit: number;
    placeholder: string;
    itemTemplateRef: TemplateRef<any>;
    itemTemplateCtx: any;
    changeTextEvent: EventEmitter<string>;
    changeValueEvent: EventEmitter<any>;
    inputElement: ElementRef<HTMLInputElement>;
    ngControl: NgControl;
    status: 'VALID' | 'INVALID' | 'PENDING' | 'DISABLED';
    onChange: (val: any) => void;
    onTouched: () => void;
    constructor(inj: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    selectResult(event: Event, result: any): void;
    inputText(event: Event): void;
    focus(): void;
    blur(): void;
    registerOnChange(fn: never): void;
    registerOnTouched(fn: never): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgAutoInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgAutoInputComponent, "vg-auto-input", never, { "modelToTextMapper": "modelToTextMapper"; "resultToModelMapper": "resultToModelMapper"; "modelToImgSrcMapper": "modelToImgSrcMapper"; "size": "size"; "isDisabled": "isDisabled"; "isReadonly": "isReadonly"; "searchResults": "searchResults"; "limit": "limit"; "placeholder": "placeholder"; "itemTemplateRef": "itemTemplateRef"; "itemTemplateCtx": "itemTemplateCtx"; }, { "changeTextEvent": "changeTextEvent"; "changeValueEvent": "changeValueEvent"; }, never, never>;
}
