import { AfterViewInit, ElementRef, Injector, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class VgTagInputComponent implements OnInit, AfterViewInit, ControlValueAccessor {
    private inj;
    values: any[];
    ngControl: NgControl;
    text: string;
    onChange: (val: any) => void;
    onTouched: () => void;
    placeholder: string;
    isDisabled: boolean;
    isReadonly: boolean;
    size: 'sm' | 'md' | 'lg';
    modelToTextConverter: (model: any) => string;
    textToModelConverter: (text: string) => any;
    inputElement: ElementRef<HTMLInputElement>;
    constructor(inj: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(tagList: any[]): void;
    registerOnChange(fn: never): void;
    registerOnTouched(fn: never): void;
    setDisabledState(isDisabled: boolean): void;
    inputText(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgTagInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgTagInputComponent, "vg-tag-input", never, { "placeholder": "placeholder"; "isDisabled": "isDisabled"; "isReadonly": "isReadonly"; "size": "size"; "modelToTextConverter": "modelToTextConverter"; "textToModelConverter": "textToModelConverter"; }, {}, never, never>;
}
