import { FactoryProvider, ModuleWithProviders } from '@angular/core';
import { VgErrorDictService } from './error-section/vg-error-dict.service';
import * as i0 from "@angular/core";
import * as i1 from "./auto-input/vg-auto-input.component";
import * as i2 from "./error-section/vg-error-section.component";
import * as i3 from "./error-section/vg-error-message.pipe";
import * as i4 from "./vg-delay-input.directive";
import * as i5 from "./file-input/vg-file-input.component";
import * as i6 from "./file-input/vg-file-icon.pipe";
import * as i7 from "./auto-input/vg-pipe-wrapper.pipe";
import * as i8 from "./tag-input/vg-tag-input.component";
import * as i9 from "@angular/common";
import * as i10 from "@ng-bootstrap/ng-bootstrap";
export interface VgErrorDictServiceProvider extends FactoryProvider {
    provide: typeof VgErrorDictService;
    useFactory: (translateService: never) => VgErrorDictService;
    deps: [any];
}
export declare class VgControlModule {
    static forRoot(loader: VgErrorDictServiceProvider): ModuleWithProviders<VgControlModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgControlModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<VgControlModule, [typeof i1.VgAutoInputComponent, typeof i2.VgErrorSectionComponent, typeof i3.VgErrorMessagePipe, typeof i4.VgDelayInputDirective, typeof i5.VgFileInputComponent, typeof i6.VgFileIconPipe, typeof i7.VgPipeWrapperPipe, typeof i8.VgTagInputComponent], [typeof i9.CommonModule, typeof i10.NgbTooltipModule, typeof i10.NgbAlertModule], [typeof i1.VgAutoInputComponent, typeof i5.VgFileInputComponent, typeof i2.VgErrorSectionComponent, typeof i3.VgErrorMessagePipe, typeof i4.VgDelayInputDirective, typeof i8.VgTagInputComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<VgControlModule>;
}
