import { ElementRef, OnInit, QueryList } from '@angular/core';
import { Subject } from 'rxjs';
import { VgDialogOverlayRef } from '../vg-dialog-overlay-ref';
import { VgDialogData, VgDialogOptions } from '../vg-dialog-config';
import { VgToastAnimationState } from '../../toast/vg-toast.config';
import * as i0 from "@angular/core";
export declare class VgConfirmDialogComponent implements OnInit {
    dialogOverlayRef: VgDialogOverlayRef;
    dialogData: VgDialogData;
    dialogOptions: VgDialogOptions;
    onClose: Subject<unknown>;
    iconClass: string | string[];
    buttonCollection: ElementRef<HTMLElement>[];
    cursor: number;
    animationState: VgToastAnimationState;
    buttonsQueryList: QueryList<ElementRef<HTMLElement>>;
    constructor(dialogOverlayRef: VgDialogOverlayRef, dialogData: VgDialogData, dialogOptions: VgDialogOptions);
    onKeydownHandler(event: KeyboardEvent): void;
    confirm(): void;
    cancel(): void;
    ngOnInit(): void;
    onFadeFinished(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgConfirmDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgConfirmDialogComponent, "vg-confirm-dialog", never, {}, {}, never, never>;
}
