import { ElementRef, EventEmitter } from '@angular/core';
import { VgDialogOverlayRef } from '../vg-dialog-overlay-ref';
import { VgDialogData, VgDialogOptions } from '../vg-dialog-config';
import { VgToastAnimationState } from '../../toast/vg-toast.config';
import * as i0 from "@angular/core";
export declare class VgDialogWrapperComponent {
    dialogOverlayRef: VgDialogOverlayRef;
    dialogData: VgDialogData;
    dialogOptions: VgDialogOptions;
    title: string;
    disableClose: boolean;
    closeAction: EventEmitter<any>;
    content: ElementRef;
    animationState: VgToastAnimationState;
    constructor(dialogOverlayRef: VgDialogOverlayRef, dialogData: VgDialogData, dialogOptions: VgDialogOptions);
    close(): void;
    onFadeFinished(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgDialogWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgDialogWrapperComponent, "vg-modal-wrapper", never, { "title": "title"; "disableClose": "disableClose"; }, { "closeAction": "closeAction"; }, never, ["[modalBody]", "[modalFooter]"]>;
}
