import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class VgCurrencyInputDirective implements OnInit, ControlValueAccessor {
    private renderer;
    private elementRef;
    currentLocale: string;
    private el;
    private delay;
    private thousandSeparator;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLInputElement>);
    onChange: (val: number) => void;
    onTouched: () => void;
    writeValue(obj: never): void;
    registerOnChange(fn: never): void;
    registerOnTouched(fn: never): void;
    ngOnInit(): void;
    onInput(el: HTMLInputElement): void;
    updateNumberValue(val: number): void;
    renderUpdatedValue(el: HTMLInputElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgCurrencyInputDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<VgCurrencyInputDirective, "[vgCurrencyInput]", never, { "currentLocale": "currentLocale"; }, {}, never>;
}
