import { Injector } from '@angular/core';
import { Overlay, PositionStrategy } from '@angular/cdk/overlay';
import { VgToastOverlayRef } from './vg-toast-overlay-ref';
import { VgToastConfig, VgToastData } from './vg-toast.config';
import * as i0 from "@angular/core";
export declare class VgToastService {
    private overlay;
    private parentInjector;
    private toastConfig;
    private lastToast;
    readonly msgPool: Set<string>;
    initialToastSounds: string[];
    constructor(overlay: Overlay, parentInjector: Injector, toastConfig: VgToastConfig);
    show(data: VgToastData, runtimeConfig?: VgToastConfig): VgToastOverlayRef | null;
    getInjector(data: VgToastData, toastRef: VgToastOverlayRef, parentInjector: Injector, runtimeConfig?: VgToastConfig): Injector;
    getPositionStrategy(config?: VgToastConfig): PositionStrategy;
    success(data: VgToastData, runtimeConfig?: VgToastConfig): void;
    error(data: VgToastData, runtimeConfig?: VgToastConfig): void;
    warning(data: VgToastData, runtimeConfig?: VgToastConfig): void;
    info(data: VgToastData, runtimeConfig?: VgToastConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<VgToastService>;
}
