import { EventEmitter, OnInit } from '@angular/core';
import { VgTreeNode } from '../../model/vg-tree-node';
import { VgTreeTableConfig } from '../../model/vg-tree-table.config';
import { VgTreeNodeCheckboxEvent } from '../../model/vg-tree-node-checkbox-event';
import * as i0 from "@angular/core";
export declare class VgTreeTableComponent implements OnInit {
    treeTableConfig: VgTreeTableConfig;
    treeItems: VgTreeNode<unknown>[];
    checkNodeEvent: EventEmitter<VgTreeNodeCheckboxEvent>;
    selectRowEvent: EventEmitter<VgTreeNode<unknown> | null | undefined>;
    selectedNode: VgTreeNode<unknown> | null | undefined;
    ngOnInit(): void;
    check(event: VgTreeNodeCheckboxEvent): void;
    selectRow(node: VgTreeNode<unknown> | null | undefined): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgTreeTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgTreeTableComponent, "vg-tree-table", never, { "treeTableConfig": "treeTableConfig"; "treeItems": "treeItems"; }, { "checkNodeEvent": "checkNodeEvent"; "selectRowEvent": "selectRowEvent"; }, never, never>;
}
