/// <reference types="node" />
import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Subscription } from 'rxjs';
import { PingServiceMap, VgPingServiceDisplay } from '../heroku-wakeup/vg-ping-service.display';
import { HttpClient } from '@angular/common/http';
import { VgHerokuWakeupService } from './vg-heroku-wakeup.service';
import * as i0 from "@angular/core";
export declare class VgHerokuWakeupNewComponent implements OnInit, OnDestroy {
    private http;
    private herokuWakeupService;
    configList: VgPingServiceDisplay;
    delayRetry: number;
    maxRetries: number;
    templateRef: TemplateRef<unknown>;
    interactTimeout: number;
    pingSuccess: number | null;
    isTriggerReady: boolean;
    sub: Subscription;
    timer: NodeJS.Timeout;
    setupAwake: () => Promise<void>;
    constructor(http: HttpClient, herokuWakeupService: VgHerokuWakeupService);
    ping(): Promise<void>;
    ngOnInit(): Promise<void>;
    processLevel(serviceConfig: PingServiceMap): Promise<boolean>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgHerokuWakeupNewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgHerokuWakeupNewComponent, "vg-heroku-wakeup-new", never, { "configList": "configList"; "delayRetry": "delayRetry"; "maxRetries": "maxRetries"; "templateRef": "templateRef"; "interactTimeout": "interactTimeout"; }, {}, never, never>;
}
