/// <reference types="node" />
export declare class VgIdleTimer {
    private readonly timeout;
    private readonly onTimeout;
    eventHandler: () => void;
    interval: NodeJS.Timeout;
    timeoutTracker: NodeJS.Timeout;
    constructor(timeout?: number, onTimeout?: () => void);
    startInterval(): void;
    updateExpiredTime(): void;
    tracker(): void;
    cleanUp(): void;
}
