export declare abstract class VgSwappableBase {
    protected readonly idAttr: string;
    protected readonly refMap: {
        [key: string]: {
            dragItem?: HTMLElement | null;
            dropItem?: HTMLElement | null;
        };
    };
    protected readonly el: HTMLElement;
    protected _collectionName: string;
    protected constructor(idAttr: string, refMap: {
        [key: string]: {
            dragItem?: HTMLElement | null;
            dropItem?: HTMLElement | null;
        };
    }, el: HTMLElement);
    onDrag(event: DragEvent): void;
    onDragstart(event: DragEvent): void;
    onDragend(event: DragEvent): void;
    onDragenter(event: DragEvent): void;
    onDragleave(event: DragEvent): void;
    onDragover(event: DragEvent): void;
    onDrop(event: DragEvent): void;
    protected checkValidDrop(event: DragEvent): boolean | undefined;
    protected abstract swapEffect(event: DragEvent): void;
}
