import { OnInit, TemplateRef } from '@angular/core';
import { VgScrollDataSource } from '../vg-scroll-data-source';
import { VgScrollerService } from '../vg-scroller.service';
import { HttpClient } from '@angular/common/http';
import { VgPage } from '../../../model/vg-page';
import * as i0 from "@angular/core";
export declare class VgScrollerComponent implements OnInit {
    private factService;
    private http;
    minBufferPx: number;
    maxBufferPx: number;
    itemSize: number;
    pageSize: number;
    url: string;
    params: {
        [key: string]: string | number;
    };
    mapper: (response: any) => VgPage<any>;
    sizeParamName: string;
    pageParamName: string;
    customTemplate: TemplateRef<any>;
    dataSource: VgScrollDataSource;
    constructor(factService: VgScrollerService, http: HttpClient);
    ngOnInit(): void;
    fetch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgScrollerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgScrollerComponent, "vg-scroller", never, { "minBufferPx": "minBufferPx"; "maxBufferPx": "maxBufferPx"; "itemSize": "itemSize"; "pageSize": "pageSize"; "url": "url"; "params": "params"; "mapper": "mapper"; "sizeParamName": "sizeParamName"; "pageParamName": "pageParamName"; "customTemplate": "customTemplate"; }, {}, never, never>;
}
