/// <reference types="node" />
import { OnDestroy, OnInit } from '@angular/core';
import { VgToastOverlayRef } from './vg-toast-overlay-ref';
import { VgToastAnimationState, VgToastConfig, VgToastData } from './vg-toast.config';
import { AnimationEvent } from '@angular/animations';
import * as i0 from "@angular/core";
export declare class VgToastComponent implements OnInit, OnDestroy {
    readonly data: VgToastData;
    readonly toastOverlayRef: VgToastOverlayRef;
    readonly conf: VgToastConfig;
    readonly runtimeConf: VgToastConfig;
    animationState: VgToastAnimationState;
    intervalId: NodeJS.Timeout;
    progress: number;
    toastBefore: VgToastOverlayRef | null;
    constructor(data: VgToastData, toastOverlayRef: VgToastOverlayRef, conf: VgToastConfig, runtimeConf: VgToastConfig);
    ngOnInit(): void;
    close(): void;
    onFadeFinished(event: AnimationEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgToastComponent, [{ optional: true; }, { optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgToastComponent, "vg-toast", never, {}, {}, never, never>;
}
