import { EventEmitter, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { VgTreeNode } from '../../../model/vg-tree-node';
import { VgTreeTableColumnConfig, VgTreeTableConfig } from '../../../model/vg-tree-table.config';
import { VgTreeNodeCheckboxEvent } from '../../../model/vg-tree-node-checkbox-event';
import * as i0 from "@angular/core";
export declare class VgTreeTableItemComponent implements OnInit {
    private viewContainerRef;
    treeTableConfig: VgTreeTableConfig;
    treeItem: VgTreeNode<any>;
    paddingBlockConfig: any;
    checkEvent: EventEmitter<VgTreeNodeCheckboxEvent>;
    selectRowEvent: EventEmitter<VgTreeNode<any> | null>;
    template: TemplateRef<never>;
    constructor(viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    expand(event: Event, treeItem: VgTreeNode<unknown>): void;
    check(event: Event, key: string, config: VgTreeTableColumnConfig): void;
    forwardCheck(event: VgTreeNodeCheckboxEvent): void;
    selectRow(node: VgTreeNode<unknown> | null): void;
    forwardSelectRow(node: VgTreeNode<unknown> | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgTreeTableItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgTreeTableItemComponent, "vg-tree-table-item", never, { "treeTableConfig": "treeTableConfig"; "treeItem": "treeItem"; "paddingBlockConfig": "paddingBlockConfig"; }, { "checkEvent": "checkEvent"; "selectRowEvent": "selectRowEvent"; }, never, never>;
}
