import { OnInit, TemplateRef } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { VgPingServiceDisplay, PingServiceMap } from './vg-ping-service.display';
import { VgIdleTimer } from '../vg-idle-timer';
import * as i0 from "@angular/core";
export declare class VgHerokuWakeupComponent implements OnInit {
    private http;
    configList: VgPingServiceDisplay;
    delayRetry: number;
    maxRetries: number;
    templateRef: TemplateRef<unknown>;
    interactTimeout: number;
    pingSuccess: number | null;
    isTriggerReady: boolean;
    setupAwake: () => Promise<void>;
    trigger: () => void;
    timer: VgIdleTimer;
    constructor(http: HttpClient);
    ngOnInit(): Promise<void>;
    ping(): Promise<void>;
    processLevel(serviceConfig: PingServiceMap): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgHerokuWakeupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgHerokuWakeupComponent, "vg-heroku-wakeup", never, { "configList": "configList"; "delayRetry": "delayRetry"; "maxRetries": "maxRetries"; "templateRef": "templateRef"; "interactTimeout": "interactTimeout"; }, {}, never, never>;
}
