import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { HttpEvent } from '@angular/common/http';
import { VgProgressResponse } from './vg-progress-response';
import * as i0 from "@angular/core";
export declare class VgUploadProgressComponent implements OnChanges, OnDestroy {
    httpObs: Observable<HttpEvent<unknown>>;
    successMsg: string;
    failureMsg: string;
    successEvent: EventEmitter<any>;
    failureEvent: EventEmitter<any>;
    completeEvent: EventEmitter<void>;
    subscription: Subscription;
    responseData: VgProgressResponse;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VgUploadProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VgUploadProgressComponent, "vg-upload-progress", never, { "httpObs": "httpObs"; "successMsg": "successMsg"; "failureMsg": "failureMsg"; }, { "successEvent": "successEvent"; "failureEvent": "failureEvent"; "completeEvent": "completeEvent"; }, never, never>;
}
